package com.example.comboboxtest;


import java.util.ArrayList;
import java.util.Collection;

import com.vaadin.data.Item;
import com.vaadin.ui.ComboBox;
import com.vaadin.ui.Component;
import com.vaadin.ui.DefaultFieldFactory;
import com.vaadin.ui.Field;

public class ComboBoxFormFactory extends DefaultFieldFactory{
	
	private Collection<ComboBoxBean> beans;
	
	public ComboBoxFormFactory() {
		beans = new ArrayList<ComboBoxBean>();
		beans.add(new ComboBoxBean("first"));
		beans.add(new ComboBoxBean("second"));
		beans.add(new ComboBoxBean("third"));
	}
	
	@Override
	public Field createField(Item item, Object propertyId, Component uiContext) {
	
	if(propertyId.equals("innerBean")) {
		ComboBox managerSelect = new ComboBox("Inner");
		//managerSelect.addListener(this);
		managerSelect.setImmediate(true);
		managerSelect.setNullSelectionAllowed(false);
		managerSelect.setNewItemsAllowed(false);
		
		for(ComboBoxBean u : beans) {
			managerSelect.addItem(u);
			managerSelect.setItemCaption(u, u.getName());
		}
		
		return managerSelect;
	}
	
	return super.createField(item, propertyId, uiContext);
	}
}
