package com.example.comboboxtest;

import com.vaadin.Application;
import com.vaadin.data.util.BeanItem;
import com.vaadin.ui.*;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Button.ClickListener;

public class ComboboxtestApplication extends Application {
	
	
	
	@Override
	public void init() {
		Window mainWindow = new Window("Comboboxtest Application");
		Label label = new Label("Hello Vaadin user");
		mainWindow.addComponent(label);
		
		ComboBoxPresenter pres = new ComboBoxPresenter();
		
		HorizontalLayout formLayout = new HorizontalLayout();
		
		final Form testForm = new Form();
		testForm.setWriteThrough(false);
		
		testForm.setFormFieldFactory(new ComboBoxFormFactory());
		
		ComboBoxBean cb = new ComboBoxBean("first");
		OuterBean b = new OuterBean();
		b.setInnerBean(cb);
		
		BeanItem<OuterBean> bi = new BeanItem<OuterBean>(b);
		
		testForm.setItemDataSource(bi);
		
		Button edit = new Button("Edit");
		Button cancel = new Button("Cancel");
		
		edit.addListener(new ClickListener() {

			@Override
			public void buttonClick(ClickEvent event) {
				testForm.setReadOnly(true);
			}
			
		});
		
		cancel.addListener(new ClickListener() {

			@Override
			public void buttonClick(ClickEvent event) {
				testForm.setReadOnly(false);
			}
			
		});
		
		formLayout.addComponent(testForm);
		
		mainWindow.addComponent(formLayout);
		mainWindow.addComponent(edit);
		mainWindow.addComponent(cancel);
		
		setMainWindow(mainWindow);
	}

}
